Index: src/serialization.lisp
===================================================================
RCS file: /project/cl-prevalence/cvsroot/cl-prevalence/src/serialization.lisp,v
retrieving revision 1.11
diff -u -w -r1.11 serialization.lisp
--- src/serialization.lisp  16 Mar 2007 15:37:18 -0000  1.11
+++ src/serialization.lisp  12 Jan 2009 22:35:34 -0000
@@ -137,7 +137,9 @@
   (mapcar #'mop:slot-definition-name (mop:class-slots (class-of object)))
   #+sbcl
   (mapcar #'sb-mop:slot-definition-name (sb-mop:class-slots (class-of object)))
-  #-(or openmcl cmu lispworks allegro sbcl)
+  #+clisp
+  (mapcar #'clos:slot-definition-name (ext:structure-slots (type-of object)))
+  #-(or openmcl cmu lispworks allegro sbcl clisp)
   (error "not yet implemented"))
 
 (defmethod serializable-slots ((object standard-object))
@@ -156,7 +158,9 @@
   (mapcar #'mop:slot-definition-name (mop:class-slots (class-of object)))
   #+sbcl
   (mapcar #'sb-mop:slot-definition-name (sb-mop:class-slots (class-of object)))
-  #-(or openmcl cmu lispworks allegro sbcl)
+  #+clisp
+  (mapcar #'clos:slot-definition-name (clos:class-slots (class-of object)))
+  #-(or openmcl cmu lispworks allegro sbcl clisp)
   (error "not yet implemented"))
 
 (defmethod get-serializable-slots ((serialization-state serialization-state) object)
